/*
 * ConnectCommand.java
 *
 * Copyright (C) 2007 Takis Diakoumis
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

package org.underworldlabs.jobexftp.actions;

import java.awt.event.ActionEvent;
import javax.swing.SwingUtilities;
import org.underworldlabs.jobexftp.ConnectionDialog;

/**
 * Defines the action for a connect command.
 *
 * @author Takis Diakoumis
 */
public class ConnectCommand extends BaseObexCommand {
    
    public void execute(ActionEvent e) {
        SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                new ConnectionDialog();
            }
        });
    }

}



